# rewind

(PHP 4, PHP 5, PHP 7)

rewind — Rewind the position of a file pointer

### Description

rewind ( resource `$handle` ) : bool

Sets the file position indicator for `handle` to the beginning of the file stream.

> Note:

> If you have opened the file in append ("a" or "a+") mode, any data you write to the file will always be appended, regardless of the file pointer position.

### Parameters

`handle`

  The file pointer must be valid, and must point to a file successfully opened by fopen().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 rewind() overwriting example

`<?php
$handle = fopen('output.txt', 'r+');
fwrite($handle, 'Really long sentence.');
rewind($handle);
fwrite($handle, 'Foo');
rewind($handle);
echo fread($handle, filesize('output.txt'));
fclose($handle);
?>`

The above example will output something similar to:

    Foolly long sentence.

### See Also

- fread() - Binary-safe file read
- fseek() - Seeks on a file pointer
- ftell() - Returns the current position of the file read/write pointer
- fwrite() - Binary-safe file write